Pods
- POST /infrastructure/pods
Create a new pod
Create a new pod in the infrastructure
- Status Codes:
201 Created – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /infrastructure/pods/delete
Delete a pod
Delete a pod from the infrastructure
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /infrastructure/pods/getbyid/{id}
GetPodByID
Get pod details by ID
- Parameters:
id (string) – Pod ID
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /infrastructure/pods/getid/{name}
GetPodID
Get pod ID by name
- Parameters:
name (string) – Pod name
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /infrastructure/pods/list
List pods
Get a list of all pods with optional filters
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error